summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--dev-ruby/net-http-digest_auth/net-http-digest_auth-1.4.1.ebuild10
1 files changed, 7 insertions, 3 deletions
diff --git a/dev-ruby/net-http-digest_auth/net-http-digest_auth-1.4.1.ebuild b/dev-ruby/net-http-digest_auth/net-http-digest_auth-1.4.1.ebuild
index a546d33b489..2337b056f83 100644
--- a/dev-ruby/net-http-digest_auth/net-http-digest_auth-1.4.1.ebuild
+++ b/dev-ruby/net-http-digest_auth/net-http-digest_auth-1.4.1.ebuild
@@ -1,9 +1,9 @@
-# Copyright 1999-2018 Gentoo Foundation
+# Copyright 1999-2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=5
-USE_RUBY="ruby22 ruby23 ruby24 ruby25"
+USE_RUBY="ruby23 ruby24 ruby25 ruby26"
RUBY_FAKEGEM_RECIPE_DOC="rdoc"
RUBY_FAKEGEM_DOCDIR="doc"
@@ -20,4 +20,8 @@ SLOT="0"
KEYWORDS="amd64 ~ppc ~ppc64 x86 ~amd64-linux ~x86-linux ~ppc-macos ~x86-macos ~x86-solaris"
IUSE="test"
-ruby_add_bdepend "test? ( dev-ruby/hoe dev-ruby/minitest )"
+ruby_add_bdepend "test? ( dev-ruby/minitest )"
+
+each_ruby_test() {
+ ${RUBY} -Ilib:. -e 'Dir["test/test_*.rb"].each{|f| require f}' || die
+}